/* Box sizing rules */
*,
*::before,
*::after {
    box-sizing: border-box;
}

/* Prevent font size inflation */
html {
    -moz-text-size-adjust: none;
    -webkit-text-size-adjust: none;
    text-size-adjust: none;
}

/* Remove default margin in favour of better control in authored CSS */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
    margin-block-end: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role="list"],
ol[role="list"] {
    list-style: none;
}

/* Set core body defaults */
body {
    min-height: 100vh;
    line-height: 1.5;
}

/* Set shorter line heights on headings and interactive elements */
h1,
h2,
h3,
h4,
button,
input,
label {
    line-height: 1.1;
}

/* Balance text wrapping on headings */
h1,
h2,
h3,
h4 {
    text-wrap: balance;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
    text-decoration-skip-ink: auto;
    color: currentColor;
}

/* Make images easier to work with */
img,
picture {
    max-width: 100%;
    display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
    font-family: inherit;
    font-size: inherit;
}

/* Make sure textareas without a rows attribute are not tiny */
textarea:not([rows]) {
    min-height: 10em;
}

/* Anything that has been anchored to should have extra scroll margin */
:target {
    scroll-margin-block: 5ex;
}

:root {
    --green: #2c4f39;
    --white: #ffffff;
    --placeholderColor: rgba(255, 255, 255, 0.5);
}

/* Scrollbars
--------------------------------------------- */
html {
    scrollbar-width: none;
}

body {
    -ms-overflow-style: none;
}

body::-webkit-scrollbar {
    display: none;
}

/* Accessibility
--------------------------------------------- */

/* Text meant only for screen readers. */
.screen-reader-text {
    border: 0;
    clip: rect(1px, 1px, 1px, 1px);
    clip-path: inset(50%);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute !important;
    width: 1px;
    word-wrap: normal !important;
}

.screen-reader-text:focus {
    background-color: #f1f1f1;
    border-radius: 3px;
    box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.6);
    clip: auto !important;
    clip-path: none;
    color: #21759b;
    display: block;
    font-size: 0.875rem;
    font-weight: 700;
    height: auto;
    left: 5px;
    line-height: normal;
    padding: 15px 23px 14px;
    text-decoration: none;
    top: 5px;
    width: auto;
    z-index: 100000;
}

/*--------------------------------------------------------------
# Placeholders
--------------------------------------------------------------*/
::-webkit-input-placeholder {
    opacity: 1;
    -webkit-transition: opacity 0.5s;
    transition: opacity 0.5s;
    color: var(--placeholderColor);
}

/* Chrome <=56, Safari < 10 */
:-moz-placeholder {
    opacity: 1;
    -moz-transition: opacity 0.5s;
    transition: opacity 0.5s;
    color: var(--placeholderColor);
}

/* FF 4-18 */
::-moz-placeholder {
    opacity: 1;
    -moz-transition: opacity 0.5s;
    transition: opacity 0.5s;
    color: var(--placeholderColor);
}

/* FF 19-51 */
:-ms-input-placeholder {
    opacity: 1;
    -ms-transition: opacity 0.5s;
    transition: opacity 0.5s;
    color: var(--placeholderColor);
}

/* IE 10+ */
::placeholder {
    opacity: 1;
    transition: opacity 0.5s;
    color: var(--placeholderColor);
}

:focus::-webkit-input-placeholder {
    color: transparent !important;
}

:focus::-moz-placeholder {
    color: transparent !important;
}

:focus::-ms-input-placeholder {
    color: transparent !important;
}

:focus::placeholder {
    color: transparent !important;
}

/* Form
--------------------------------------------- */
input {
    background-color: transparent;
    border: 0;
    color: #fff;
    position: relative;
    border-bottom: 2px solid #fff;
    margin-bottom: 0.5rem;
    padding: 4px 0;
}

input:focus,
input:active {
    outline: 0;
}

/* Pino */

.roboto-slab-400,
body {
    font-family: "Roboto Slab", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

body {
    width: 100%;
    height: 100vh;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    background-color: var(--green);
    color: var(--white);
    align-items: center;
    position: fixed;
    left: 0;
    top: 0;
    padding: 0;
    margin: 0;
}

.site {
    padding: 0 3rem;
    max-width: 1400px;
    width: 100%;
    display: flex;
    flex-direction: column;
}

.site-header {
    position: relative;
    z-index: 1;
}

.is-modal-active .site-header {
    pointer-events: none;
}

.site-main {
    flex: 1;
    position: relative;
    z-index: 3;
}

.site-branding {
    position: absolute;
    bottom: 1rem;
    width: 20%;
    z-index: 20;
}

/* Links
--------------------------------------------- */
a,
a:visited {
    color: var(--white);
    text-decoration: none;
}

a:hover,
a:focus,
a:active {
    color: var(--white);
    outline: 0;
}

/* Navigation
--------------------------------------------- */
.site-navigation ul {
    list-style: none;
    padding: 0;
    margin: 5rem 0 3rem 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    position: relative;
    z-index: 1;
    /* font-family: "Limelight", sans-serif;
    font-weight: 400;
    font-style: normal;*/
}

.site-navigation a {
    position: relative;
}

.site-navigation a::after {
    content: "";
    width: 0;
    position: absolute;
    top: 50%;
    padding-top: 50px;
    transition: 150ms ease-in-out;
    left: 50%;
    transform: translate(-50%, -50%);
    background-image: url(../img/lines.svg);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    opacity: 0;
}

.is-modal-active a.modal-toggle.active::after,
.site-navigation a:hover::after,
.site-navigation a:active::after {
    width: 160px;
    opacity: 1;
}

/* Animation
--------------------------------------------- */
.site-anima {
    width: 45%;
    position: absolute;
    bottom: -10px;
    right: 10%;
    z-index: 20;
    pointer-events: none;
}

.is-modal-active #pino,
#pinolino {
    display: none;
}

.is-modal-active #pinolino,
#pino {
    display: block;
}

@media screen and (orientation:portrait) {
    .is-modal-active .site-anima .pino-svg {
        display: none !important;
    }
}

/* Modal
--------------------------------------------- */
.modal {
    width: 80%;
    height: 70vh;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: 40px;
    padding: 0rem;
    text-align: center;
    font-size: 1rem;
    max-width: 1000px;
    z-index: 10;
    opacity: 0;
    pointer-events: none;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.modal-menu {
    z-index: 100;
    justify-content: flex-start;
}

.modal .text-lg p,
.modal p.text-lg,
.text-lg {
    font-size: 2rem;
}

@media screen and (max-width:576px) {

    .modal .text-lg p,
    .modal p.text-lg,
    .modal .text-lg {
        font-size: 1.4rem;
    }
}

.is-modal-active .modal.active {
    pointer-events: auto;
}

.modal-content {
    padding: 4rem;
    color: var(--green);
    position: relative;
    font-size: 1rem;
    overflow: hidden;
}

.modal-menu .modal-content {
    padding: 0 4rem 4rem;
}

.modal-content p {
    width: 86%;
    margin: auto;
    padding-left: 4%;
}

.modal .bg-modal {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 0;
    width: 100%;
    height: 100%;
}

.modal .bg-modal img {
    width: 100%;
    height: 100%;
    object-fit: none;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    object-position: center;
    left: 0;
    z-index: -1;
    min-width: 100%;
    min-height: 100%;
}

.modal-content span {
    white-space: nowrap;
}

.modal-content a {
    position: relative;
}

.modal-content a::after {
    content: '';
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    padding-top: 2px;
    background-image: url(../img/line.svg);
    background-repeat: repeat-x;
    background-size: cover;
    background-position: top center;
}

.modal-header {
    position: relative;
    z-index: 10;
    font-size: 1.1rem;
    height: 80px;
    background-color: var(--white);
}

.modal-menu .menu-container {
    padding-top: 80px;
    background-color: var(--white);
}

.modal-title {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    text-align: center;
    z-index: 30;
    color: var(--green);
    font-weight: 600;
    padding-top: 2rem;
    padding-bottom: 2rem;
}

.modal-title a,
.modal-title a:visited {
    color: var(--green);
    position: relative;
}

.modal-title a::after {
    background-image: url(../img/line-green.svg);
    padding-top: 4px;
}

.modal-contact .bg-modal img {
    transform: scaleX(-1) translateY(-50%);
    transform-origin: center center;
}

a.bookings-btn {
    white-space: nowrap;
}

a.bookings-btn::after {
    padding-top: 4px;
    background-position: bottom center;
}

p.working-hours {
    margin-top: 1rem;
    margin-bottom: 1rem;
}

ul.working-hours {
    list-style: none;
    padding: 0;
    margin: 0;
}

ul.working-hours li {
    display: flex;
    gap: 1rem;
    justify-content: center;
}

ul.working-hours li span {
    width: 50%;
}

ul.working-hours li span:first-child {
    text-align: right;
}

ul.working-hours li span:last-child {
    text-align: left
}

.close {
    position: absolute;
    right: 3rem;
    top: 0rem;
    background-color: transparent;
    border: 0;
    width: 48px;
    cursor: pointer;
    z-index: 10;
}

.modal-menu .close {
    position: absolute;
    right: 10px;
    top: 1rem;
    z-index: 40;
}

.modal-story .close {
    right: 4rem;
    top: 0.75rem;
}

.modal.green .modal-content {
    color: var(--white);
}

.modal.white .close img.green,
.modal.green .bg-modal img.green.portrait,
.modal.green .bg-modal img.white.portrait,
.modal.green .bg-modal img.white.landscape {
    display: none;
}

.modal.green .close img.white,
.modal.green .bg-modal img.green.landscape {
    display: block;
}

.scroll-container {
    overflow-y: auto;
    position: relative;
    top: -100px;
    height: 96vh;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

.scroll-container::-webkit-scrollbar {
    display: none;
    scrollbar-width: none;
}

/* Portrait
--------------------------------------------- */

@media screen and (orientation: portrait) {
    body {
        min-height: -webkit-fill-available;
        height: 100%;
    }

    .site-branding {
        position: absolute;

        left: 50%;
        width: calc(100% - 6rem);
        transform: translateX(-50%);
        z-index: 8;
    }

    .is-modal-active .site-navigation,
    .is-modal-active .site-branding {
        opacity: 0;
    }

    .site-navigation {
        position: fixed;
        top: 0rem;
        width: calc(100% - 6rem);
        left: 50%;
        transform: translateX(-50%);
    }

    .site-navigation ul {
        flex-direction: column;
        gap: 1rem;
    }

    .site-navigation a::after {
        display: none;
    }

    .site-anima {
        width: 65%;
        position: absolute;
        bottom: 35vh;
        right: 4%;
        z-index: 10;
    }

    .modal {
        width: 100%;
        height: 100%;
        padding: 1rem;
        top: 0;
        left: 50%;
    }

    .modal-content {
        padding: 0rem 3rem 1.5rem;
        position: relative;
        top: 0;
        font-size: .9rem;
        line-height: 1.3;
    }

    .modal-content p {
        width: 96%;
        margin: auto;
        padding-left: 0%;
    }

    a.bookings-btn {
        font-size: 1.15rem;
    }

    .modal-contact .modal-content,
    .modal-menu .modal-content {
        padding: 0rem;
        line-height: 1.75;
    }

    .scroll-container {

        top: 0;
        height: 95vh;


    }

    .modal .bg-modal img.landscape,
    .modal.green .bg-modal img.white.landscape,
    .modal.white .bg-modal img.green.landscape {
        display: none !important;
    }

    .modal.white .bg-modal img.white.portrait,
    .modal.green .bg-modal img.green.portrait {
        display: none;
    }

    .close {
        position: fixed;
        right: 0.75rem !important;
        top: 1rem;
    }

    .modal-menu .close {
        top: 40px;
        right: 0px !important;
    }

    .modal-menu .scroll-container {
        padding-top: 0px;
        z-index: 9;
        position: relative;
    }

    .modal-menu .modal-header {
        position: relative;
        z-index: 10;
        transform: none;
        font-size: 0.8rem;
        background: transparent;
    }

    .modal-title {
        position: relative;
        top: 0;
        left: 0;
        width: 100%;
        text-align: center;
        z-index: 30;
        color: var(--white);

    }

    .modal-title a,
    .modal-title a:visited {
        color: var(--white);
        position: relative;
    }

    .modal-title a::after {
        background-image: url(../img/line.svg);
        padding-top: 2px;
    }
}